Subject: Re: bug#10650: view-mode inconsistencies wrt special mode-class

From: Glenn Morris <[email-masked]>
Date: Wed, 01 Feb 2012 12:15:12 -0500

Chong Yidong wrote:

> I changed view-buffer-other-* to behave like view-buffer.
> (Could have changed view-mode-enter instead, but that is called from
> other placed in Emacs so it didn't seem worth the risk.)

Probably not for 24.1 indeed, but the first usage I looked at is in
files.el and it duplicates the same logic wrt mode-class:

(when (and buffer-read-only
             view-read-only
             (not (eq (get major-mode 'mode-class) 'special)))
      (view-mode-enter))

I'd guess (with no data) that most of the other callers either use
something similar, should use something similar but did not think of it,
or would not be affected if something similar were added.